Bug 1556132 - ppp: FTBFS in F28; DES code needs to be ported to OpenSSL
Summary: ppp: FTBFS in F28; DES code needs to be ported to OpenSSL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ppp
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F28FinalBlocker 1537261 F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:17 UTC by Fedora Release Engineering
Modified: 2018-04-04 15:51 UTC (History)
9 users (show)

Fixed In Version: ppp-2.4.7-18.fc29 ppp-2.4.7-18.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-04 15:51:31 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Proposed fix (2.05 KB, patch)
2018-03-27 14:34 UTC, Jaroslav Škarvada
no flags Details | Diff
Unit test (652 bytes, text/plain)
2018-03-27 14:43 UTC, Jaroslav Škarvada
no flags Details

Description Fedora Release Engineering 2018-03-14 23:17:27 UTC
Your package ppp failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24867452

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Randy Barlow 2018-03-25 15:22:54 UTC
FESCo has declared this to be a F28 final blocker.

Comment 2 Florian Weimer 2018-03-25 21:31:30 UTC
Is anyone working on the port?

Comment 3 Jaroslav Škarvada 2018-03-26 14:32:35 UTC
(In reply to Florian Weimer from comment #2)
> Is anyone working on the port?

I will take it. It seems the libxcrypt is nogo, thus we need to use openssl. There is already alternative openssl code in the pppcrypt.c, but unfortunately it seems unmaintained and for ancient openssl version. I will try to rewrite it for recent openssl during tomorrow (2018-03-27). It shouldn't be hard.

Comment 4 Adam Williamson 2018-03-26 17:53:59 UTC
per #c1 . Randy, note for the future: marking it as Blocks: FinalBlocker only marks it as a *proposed* blocker, to mark it as *accepted*, you also need the whiteboard field.

Comment 5 Randy Barlow 2018-03-26 18:03:24 UTC
(In reply to Adam Williamson from comment #4)
> per #c1 . Randy, note for the future: marking it as Blocks: FinalBlocker
> only marks it as a *proposed* blocker, to mark it as *accepted*, you also
> need the whiteboard field.

Thanks for the note!

Comment 6 Jaroslav Škarvada 2018-03-27 14:34:39 UTC
Created attachment 1413742 [details]
Proposed fix

Comment 7 Jaroslav Škarvada 2018-03-27 14:43:27 UTC
Created attachment 1413756 [details]
Unit test

This is very simple unit test I used inline with hardcoded randomly generated plain text and key (I used several plain texts and keys, the following is result for the plain text and key which is currently hardcoded in the attachement).

Fedora 26 with libcrypt / glibc:
11b4ec5ab7bdb881
c060b3a810ef79fb
11b4ec5ab7bdb881

Fedora 29/rawhide with openssl:
11b4ec5ab7bdb881
c060b3a810ef79fb
11b4ec5ab7bdb881

The meaning:
plain text in hex
encrypted data in hex
decrypted plain text in hex

Of course the test could be polished, but it should be sufficient for the purpose of this bugzilla.

Comment 8 Jaroslav Škarvada 2018-03-27 14:54:46 UTC
Upstream ticket:
https://github.com/paulusmack/ppp/issues/93

Comment 9 Florian Weimer 2018-03-27 15:31:05 UTC
Would you please put the fix into Fedora 28 as well?  You will have to file a Bodhi update for this.

Comment 10 Jaroslav Škarvada 2018-03-27 15:32:45 UTC
(In reply to Florian Weimer from comment #9)
> Would you please put the fix into Fedora 28 as well?  You will have to file
> a Bodhi update for this.

Ah no problem, I missed the 28 request :)

Comment 11 Jaroslav Škarvada 2018-03-27 15:45:13 UTC
(In reply to Jaroslav Škarvada from comment #10)
> (In reply to Florian Weimer from comment #9)
> > Would you please put the fix into Fedora 28 as well?  You will have to file
> > a Bodhi update for this.
> 
> Ah no problem, I missed the 28 request :)

In the meantime it has been already built by besser82:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1063009

Comment 12 Fedora Update System 2018-03-27 15:46:00 UTC
ppp-2.4.7-18.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b709c38412

Comment 13 Adam Williamson 2018-03-27 16:13:56 UTC
Re-opening, as the bug was filed on 28.

Comment 14 Fedora Update System 2018-03-27 23:23:03 UTC
ppp-2.4.7-18.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b709c38412

Comment 15 Fedora Update System 2018-04-04 15:51:31 UTC
ppp-2.4.7-18.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.